APIReference data
Get an airport
Authorization
bearerAuth reference_data.readAuthorizationBearer <token>
Send Authorization: Bearer <credential>. Create API keys in AirTrail Security settings. OAuth clients use authorization code with PKCE S256 and a resource identifier matching /api/v1.
In: header
Scope: reference_data.read
Path Parameters
id*integer
Resource ID.
Range
1 <= valueResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/airports/1"{ "data": { "id": 0, "icao": "string", "iata": "string", "name": "string", "municipality": "string", "latitude": 0, "longitude": 0, "timezone": "string", "type": "small_airport", "continent": "AF", "country": "string", "custom": true }}Search airports GET
Returns a bounded set of best matches and is not paginated; `page.nextCursor` is always null. Narrow the query to reach other results.
Search airlines GET
Returns a bounded set of best matches and is not paginated; `page.nextCursor` is always null. Narrow the query to reach other results.
